umbrello: UMLInstanceAttribute Class Reference

umbrello 2.32.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
UMLInstanceAttribute Class Reference

Sets up instanceattribute information. More...

`#include <instanceattribute.h>`

Inheritance diagram for UMLInstanceAttribute:

## Public Member Functions
| UMLInstanceAttribute (UMLInstance *parent, UMLAttribute *umlAttr, const QString &value=QString())
void | setAttribute (UMLAttribute *umlAttr)
UMLAttribute * | getAttribute () const
void | setValue (const QString &value)
QString | getValue () const
QString | toString ()
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual bool | showPropertiesDialog (QWidget *parent=0)
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const
virtual void | setBaseType (ObjectType ot)
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype ()
QStringList & | tags ()
QString | package (const QString &separator=QString(), bool includeRoot=false)
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setName (const QString &strName)
virtual void | setNameCmd (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | resolveRef ()
virtual bool | loadFromXMI1 (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum)
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
void | save1 (const QString &tag, QXmlStreamWriter &writer)
bool | isUMLActor ()
bool | isUMLArtifact ()
bool | isUMLAssociation ()
bool | isUMLAttribute ()
bool | isUMLCategory ()
bool | isUMLCheckConstraint ()
bool | isUMLClassifier ()
bool | isUMLComponent ()
bool | isUMLDatatype ()
bool | isUMLEntity ()
bool | isUMLEntityAttribute ()
bool | isUMLEntityConstraint ()
bool | isUMLEnum ()
bool | isUMLEnumLiteral ()
bool | isUMLFolder ()
bool | isUMLForeignKeyConstraint ()
bool | isUMLInstance ()
bool | isUMLInstanceAttribute ()
bool | isUMLNode ()
bool | isUMLObject ()
bool | isUMLOperation ()
bool | isUMLPackage ()
bool | isUMLPort ()
bool | isUMLRole ()
bool | isUMLStereotype ()
bool | isUMLTemplate ()
bool | isUMLUniqueConstraint ()
bool | isUMLUseCase ()
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()

## Protected Member Functions
virtual bool | load1 (QDomElement &element)
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()
void | save1end (QXmlStreamWriter &writer)

## Private Member Functions
void | init ()
| UMLInstanceAttribute::init Initialize members of this class. More...

## Private Attributes
QString | m_value

## Additional Inherited Members
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1 , ot_UMLObject = 100 , ot_Actor , ot_UseCase , ot_Package , ot_Interface , ot_Datatype , ot_Enum , ot_Class , ot_Instance , ot_Association , ot_Attribute , ot_Operation , ot_EnumLiteral , ot_Template , ot_Component , ot_Artifact , ot_Node , ot_Stereotype , ot_Role , ot_Entity , ot_EntityAttribute , ot_Folder , ot_EntityConstraint , ot_UniqueConstraint , ot_ForeignKeyConstraint , ot_CheckConstraint , ot_Category , ot_Port , ot_InstanceAttribute , ot_SubSystem }
Public Slots inherited from UMLObject
void | emitModified ()
Signals inherited from UMLObject
void | modified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id More...
QString | m_Doc
| object's documentation More...
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable More...
QString | m_name
| objects name More...
ObjectType | m_BaseType
| objects type More...
Uml::Visibility::Enum | m_visibility
| objects visibility More...
bool | m_bAbstract
| state of whether the object is abstract or not More...
bool | m_bStatic
| flag for instance scope More...
bool | m_bInPaste
| caller sets this true when in paste operation More...
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated() More...
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
QStringList | m_TaggedValues
UMLObjectPrivate * | m_d
| private data More...

## Detailed Description

Sets up instanceattribute information.

This class is used to set up information for an instanceattribute. It has a pointer to the attribute which it represents and a value. Member UMLObject::m_pSecondary is used for storing the pointer to the UMLAttribute. Member m_value is used for storing the value. If the value is empty but the associated UMLAttribute has a non empty initial value then the attribute initial value is copied to m_value. A UMLInstanceAttribute is strictly slaved to its corresponding UMLClassifier attribute. This means that a UMLInstanceAttribute is not created or removed by the user; instead, it is created or removed automatically when the UMLClassifier attribute is created or removed.

Author
  Lays Rodrigues
  Ralf Habacker
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLInstanceAttribute()

UMLInstanceAttribute::UMLInstanceAttribute | ( | UMLInstance * | parent,
|  | UMLAttribute * | umlAttr,
|  | const QString & | value = `QString()`
| ) |  |

Constructor

Parameters

  parent | The UMLInstance to which this instance attribute belongs.
  umlAttr | The UMLAttribute which this instance attribute reifies. It is expected that umlAttr be a non null pointer. If umlAttr is passed in as nullptr then the setAttribute method shall be used for setting a non null pointer before the instance attribute is used by the application.
  value | The value of the instance attribute.

## Member Function Documentation

## ◆ getAttribute()

UMLAttribute * UMLInstanceAttribute::getAttribute | ( |  | ) | const

Returns the UMLInstanceAttribute's UML attribute.

Returns
  The UMLInstanceAttribute's UML attribute.

## ◆ getValue()

QString UMLInstanceAttribute::getValue | ( |  | ) | const

Returns the UMLInstanceAttribute's value.

Returns
  The UMLInstanceAttribute's value.

## ◆ init()

void UMLInstanceAttribute::init | ( |  | ) |
| private

UMLInstanceAttribute::init Initialize members of this class.

## ◆ load1()

bool UMLInstanceAttribute::load1 | ( | QDomElement & | element | ) |
| protectedvirtual

Loads the UMLInstance <slot> XMI element.

Reimplemented from UMLObject.

## ◆ saveToXMI1()

void UMLInstanceAttribute::saveToXMI1 | ( | QXmlStreamWriter & | writer | ) |
| virtual

Creates the <UML:InstanceAttribute> XMI element.

Reimplemented from UMLObject.

## ◆ setAttribute()

void UMLInstanceAttribute::setAttribute | ( | UMLAttribute * | umlAttr | ) |

Sets the UMLInstanceAttribute's UML attribute.

Parameters

  umlAttr | Non null pointer to UMLAttribute.

## ◆ setValue()

void UMLInstanceAttribute::setValue | ( | const QString & | value | ) |

Sets the UMLInstanceAttribute's value.

Parameters

  value | The value to set.

## ◆ showPropertiesDialog()

bool UMLInstanceAttribute::showPropertiesDialog | ( | QWidget * | parent = `0` | ) |
| virtual

Display the properties configuration dialog for the instanceattribute.

Reimplemented from UMLObject.

## ◆ toString()

QString UMLInstanceAttribute::toString | ( |  | ) |

Returns the textual notation for instance attribute.

Returns
  Stringified attribute name and value.

## Member Data Documentation

## ◆ m_value

QString UMLInstanceAttribute::m_value
| private

The documentation for this class was generated from the following files:

- umbrello/uml1model/instanceattribute.h
- umbrello/uml1model/instanceattribute.cpp